aboutsummaryrefslogtreecommitdiff
path: root/bin/filejoiner
diff options
context:
space:
mode:
authorkaotisk <kaotisk@arching-kaos.org>2022-12-15 06:36:33 +0200
committerkaotisk <kaotisk@arching-kaos.org>2022-12-15 06:36:33 +0200
commitc8138911d13855fa17e501cb148b99b5a4e4c85a (patch)
tree97f22ee37a9225f653854beed742770e3769cc68 /bin/filejoiner
parent2e17fa8cfe2dfbd4634eacc2f2735d9bff032d2a (diff)
downloadarching-kaos-tools-c8138911d13855fa17e501cb148b99b5a4e4c85a.tar.gz
arching-kaos-tools-c8138911d13855fa17e501cb148b99b5a4e4c85a.tar.bz2
arching-kaos-tools-c8138911d13855fa17e501cb148b99b5a4e4c85a.zip
Adapting to solution with printf
Diffstat (limited to 'bin/filejoiner')
-rwxr-xr-xbin/filejoiner34
1 files changed, 32 insertions, 2 deletions
diff --git a/bin/filejoiner b/bin/filejoiner
index 5ac7dc7..923cf01 100755
--- a/bin/filejoiner
+++ b/bin/filejoiner
@@ -63,8 +63,38 @@ then
OUTPUT="$(tail -n1 $MAPSDIR/$MAPSFILE | awk '{print $2}')"
echo $OUTPUT
-
- cat $(echo $(cat $MAPSDIR/$MAPSFILE|grep chk|awk '{print $2" "}'|tr -d '\n')) > $OUTPUT
+ #
+ # Not sure about the line below. There is a bug persisting here from `cat` that separates with \n
+ # each file
+ #
+ # It's said that the best way to do that is using `printf`
+ #
+ # https://stackoverflow.com/questions/51332070/bash-redirect-cat-to-file-without-newline
+ #
+ # We will need an amount of files so we can know beforehand how many %s will be outputed (same as the number of files)
+ #
+ # If we'd `grep chk $MAPSDIR/$MAPSFILE | wc -l` we would get the amount, right?
+ # YES!!!
+ #
+ # So we would put out a new script
+ # TODO
+ #touch newscript.sh
+ #echo 'set -xe' > newscript.sh
+ #echo -n "printf \"" >> newscript.sh
+ #NUMBER_OF_FILES="$(grep chk $MAPSDIR/$MAPSFILE | wc -l)"
+ #i=0
+ #while [ "$i" -lt "$NUMBER_OF_FILES" ]
+ #do
+ # i="$(expr $i + 1)"
+ # echo -n "%s" >> newscript.sh
+ #done
+ #echo -n "%s" >> newscript.sh
+ #echo -n "\" " >> newscript.sh
+ #echo -n "$(cat $MAPSDIR/$MAPSFILE | grep chk | awk '{ print "\"$(cat " $2 ")\" " }'| tr -d '\n')" >> newscript.sh
+ #echo -n ' > '$OUTPUT >> newscript.sh
+ #sh newscript.sh
+
+ cat $(echo -n $(cat $MAPSDIR/$MAPSFILE|grep chk|awk '{print $2" "}'|tr -d '\n')) > $OUTPUT
sha512sum -c $MAPSDIR/$MAPSFILE